Package org.springframework.core.annotation

# Class AnnotationConfigurationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.core.annotation.AnnotationConfigurationException

All Implemented Interfaces:
  `Serializable`

public class AnnotationConfigurationException extends NestedRuntimeException
Thrown by `AnnotationUtils` and synthesized annotations if an annotation is improperly configured.

Since:
  4.2
Author:
  Sam Brannen
See Also:
  - `AnnotationUtils`
  - `AnnotationUtils.isSynthesizedAnnotation(java.lang.annotation.Annotation)`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AnnotationConfigurationException(String message)`
Construct a new `AnnotationConfigurationException` with the supplied message.
`AnnotationConfigurationException(String message, Throwable cause)`
Construct a new `AnnotationConfigurationException` with the supplied message and cause.

## Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AnnotationConfigurationException

public AnnotationConfigurationException(String message)
Construct a new `AnnotationConfigurationException` with the supplied message.

Parameters:
  `message` - the detail message

### AnnotationConfigurationException

public AnnotationConfigurationException(String message, Throwable cause)
Construct a new `AnnotationConfigurationException` with the supplied message and cause.

Parameters:
  `message` - the detail message
  `cause` - the root cause